Skip to main content
`Ctrl`+`K`

# PCDeflationGetCoarseKSP

Returns the coarse problem `KSP`.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCDeflationGetCoarseKSP(PC pc, KSP *ksp)

Not Collective

## Input Parameter

- pc - preconditioner context

## Output Parameter

- ksp - coarse problem `KSP` context

## See Also

KSP: Linear System Solvers, `PCDEFLATION`, `PCDeflationSetCoarseMat()`

## Level

advanced

## Location

src/ksp/pc/impls/deflation/deflation.c

## Implementations

PCDeflationGetCoarseKSP_Deflation() in src/ksp/pc/impls/deflation/deflation.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages